Bug 195088 - games/minecraft-server issues on virgin install
Summary: games/minecraft-server issues on virgin install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: John Marino
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2014-11-17 00:38 UTC by matt
Modified: 2014-11-22 19:52 UTC (History)
2 users (show)

See Also:


Attachments
Updated pkg-plist (435 bytes, text/plain)
2014-11-17 00:38 UTC, matt
no flags Details
Add %%DATADIR%% and %%ETCDIR%% (730 bytes, patch)
2014-11-19 22:59 UTC, Jonathan Price
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matt 2014-11-17 00:38:23 UTC
Created attachment 149502 [details]
Updated pkg-plist

When installing this port for the very first time on a system I hit some problems with directory permissions.

First, /usr/local/share/minecraft-server gets created as root, even though all the files in it are installed as mcserver:mcserver.  This causes problems because the first startup cannot write eula.txt (creating a new file in a directory owned by root:wheel.

This is fixed by adding "@dir %%DATADIR%%" to pkg-plist.  (Note that marino suggested that this was a useless entry in bug #194312 but I think it serves a valid purpose on a virgin install.)

Second, /usr/local/etc/minecraft-server gets created as root, even though all the files in it are installed as mcserver:mcserver.  This causes problems because the first startup cannot write server.properties (creating a new file in a directory owned by root:wheel).

This is fixed by adding "@dir %%ETCDIR%%"to pkg-plist.

A new pkg-plist that fixes these two issues is attached.
Comment 1 John Marino freebsd_committer 2014-11-19 14:11:55 UTC
people like to see diffs to ports files, not replacements.  They want to what has changed but don't want to look it up.
Comment 2 John Marino freebsd_committer 2014-11-19 19:11:52 UTC
Actually, this port is maintained!  notify maintainer.
Comment 3 Jonathan Price 2014-11-19 22:59:44 UTC
Created attachment 149609 [details]
Add %%DATADIR%% and %%ETCDIR%%

Thank you for the report Matt; it is greatly appreciated.

I have attached a diff including the fix, and an incremented port revision.
Comment 4 John Marino freebsd_committer 2014-11-20 10:50:02 UTC
maintainer provided fix based on PR.
Comment 5 commit-hook freebsd_committer 2014-11-22 19:48:54 UTC
A commit references this bug:

Author: marino
Date: Sat Nov 22 19:48:52 UTC 2014
New revision: 373098
URL: https://svnweb.freebsd.org/changeset/ports/373098

Log:
  games/minecraft-server: Fix issues seen on initial installation

  PR:		195088
  Submitted by:	matt (gsicomp.on.ca)
  Approved by:	maintainer (Jonathan Price)

Changes:
  head/games/minecraft-server/Makefile
  head/games/minecraft-server/pkg-plist
Comment 6 John Marino freebsd_committer 2014-11-22 19:52:26 UTC
Thanks guys!